Gnome-3-34 extension for core20

I am trying to build a snap for my graphical application that uses GTK. I assume the extension call gnome-3-34 would pull in the necessary gobject librararies, etc. But it appears as though that extension doesn’t exist for core20.

Is this because the new version of snapcraft doesn’t need this extension? Is there a new way to include those dependencies?

I’m going to answer my own question, as I think I found a clue here:

It appears as though the extensions are not ready yet.

You are correct, we haven’t released the gnome platform for core20 yet. It will likely be provided by a future gnome-3-38 extension, which is still in the works.

1 Like

Any word on a date when that might be available for testing?

@kenvandine - afaik GNOME 3.38 is not released yet. I’m trying to snap an application which requires glibc 2.28 – since 18.04 has glibc 2.27, i have to use core20. In this case, should I try to manually do what the extension does?

Wouldn’t it be best if the extension would be released for core20 as well?

1 Like

I think this is your only option, aside from waiting for the gnome-3-38 extension.

Releasing gnome-3-28 for core20 isn’t so simple because the extension relies on a content snap to do all the hard work, and this content snap is only released for core18. Porting this to core20 would probably require the same amount of work as creating the gnome-3-38 extension.

You can take a look at what this person was doing to get an idea of what is required. They also need a newer version of glibc and so they have to do everything the extension does manually.

You can also take a look at the snapcraft desktop helpers project to see what we did before extensions and content snaps existed. You’ll need to replicate this in your snap.

1 Like